﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SaveImageInTX
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string[] imageFormats = this.textControl1.Images.ExportFilters.Split('|');
            this.textControl1.Load("产品设计参数表.doc", TXTextControl.StreamType.MSWord);

            foreach (string item in imageFormats)
            {
                this.comboBox1.Items.Add(item);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.textControl1.Images.Add();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach (TXTextControl.Image image in this.textControl1.Images)
            {
                image.ExportFilterIndex = this.comboBox1.SelectedIndex + 1;
                if (radioButton1.Checked == true)
                {
                    image.SaveMode = TXTextControl.ImageSaveMode.SaveAsData;
                }
                else
                {
                    image.SaveMode = TXTextControl.ImageSaveMode.SaveAsFileReference;
                }
            }

            string fileFormatIndex = (comboBox1.SelectedIndex + 1).ToString();
            this.textControl1.Save(Application.StartupPath + "test_" + fileFormatIndex + ".rtf", TXTextControl.StreamType.RichTextFormat);
        }
    }
}
